Package voltage.core

# Enum Class VoltageModule.IOPanelPolyValues

java.lang.Object
java.lang.Enum<VoltageModule.IOPanelPolyValues>
voltage.core.VoltageModule.IOPanelPolyValues

All Implemented Interfaces:
  `Serializable`, `Comparable<VoltageModule.IOPanelPolyValues>`, `Constable`

Enclosing class:
  `VoltageModule`

public static enum VoltageModule.IOPanelPolyValues extends Enum<VoltageModule.IOPanelPolyValues>
Enumeration used to access I/O panel poly jacks.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `IOPanel_PolyGate`
  `IOPanel_PolyPitch`
  `IOPanel_PolyVelocity`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoltageModule.IOPanelPolyValues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VoltageModule.IOPanelPolyValues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IOPanel_PolyPitch

    public static final VoltageModule.IOPanelPolyValues IOPanel_PolyPitch

  - ### IOPanel_PolyGate

    public static final VoltageModule.IOPanelPolyValues IOPanel_PolyGate

  - ### IOPanel_PolyVelocity

    public static final VoltageModule.IOPanelPolyValues IOPanel_PolyVelocity

- ## Method Details

  - ### values

    public static VoltageModule.IOPanelPolyValues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VoltageModule.IOPanelPolyValues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null